Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Class ProfileIdHelper

    java.lang.Object
      |
      +--org.omg.IOP.ProfileIdHelper

public class ProfileIdHelper
extends java.lang.Object

Helper class for : ProfileId

Author:
  OpenORB Compiler

Constructor Summary
`ProfileIdHelper()`

Method Summary
`static int` | `extract(Any a)` Extract ProfileId from an any
`static java.lang.String` | `id()` Return the ProfileId IDL ID
`static void` | `insert(Any a, int t)` Insert ProfileId into an any
`static int` | `read(InputStream istream)` Read ProfileId from a marshalled stream
`static TypeCode` | `type()` Return the ProfileId TypeCode
`static void` | `write(OutputStream ostream, int value)` Write ProfileId into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileIdHelper

    public ProfileIdHelper()

Method Detail

### insert

    public static void insert(Any a,
                              int t)

  Insert ProfileId into an any
  Parameters:
    `a` - an any
    `t` - ProfileId value

### extract

    public static int extract(Any a)

  Extract ProfileId from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ProfileId value

### type

    public static TypeCode type()

  Return the ProfileId TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ProfileId IDL ID
  Returns:
    an ID

### read

    public static int read(InputStream istream)

  Read ProfileId from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ProfileId value

### write

    public static void write(OutputStream ostream,
                             int value)

  Write ProfileId into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ProfileId value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD